Bug 888 - dirsig_edit crashes upon import of spectral response information
Summary: dirsig_edit crashes upon import of spectral response information
Status: RESOLVED WORKSFORME
Alias: None
Product: DIRSIG4
Classification: Unclassified
Component: dirsig_edit (show other bugs)
Version: 4.4.1-release
Hardware: Intel x86-64 Windows 64-bit
: P5 normal
Assignee: Scott D. Brown
URL:
Depends on:
Blocks:
 
Reported: 2011-07-20 20:26 EDT by Matthew Stites
Modified: 2011-10-18 13:29 EDT (History)
0 users

See Also:


Attachments
Channel .csv file (12.68 KB, text/plain)
2011-07-22 11:45 EDT, Matthew Stites
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Stites 2011-07-20 20:26:49 EDT
I have spectral response information in a .csv file.  When I attempt to use the Tools->Import text channel data dirsig_edit crashes.
Comment 1 Scott D. Brown 2011-07-20 20:59:27 EDT
Is it possible for you to attach this CSV file to the bug?
Comment 2 Matthew Stites 2011-07-22 11:45:19 EDT
Created attachment 248 [details]
Channel .csv file

This is one of the .csv files that has caused dirisg_edit to crash.  I have been able to get it to import once or twice, but then when I try to import the next channel, dirsig_edit will crash.  I haven't been able to find a sequence of button-clicking and file selecting that consistently prevents the crash.
Comment 3 Scott D. Brown 2011-07-22 11:50:19 EDT
Excellent, I will look into it this weekend.
Comment 4 Scott D. Brown 2011-09-16 11:56:04 EDT
I am sorry that this problem sat around so long, I have some free time this afternoon and I will look into it.  We are prepping the 4.4.2 release for the end of the month and I want to get issues like this resolved.
Comment 5 Scott D. Brown 2011-10-18 13:29:11 EDT
I have been importing a lot of channels lately.  I can't say I have made any specific changes since this bug report was filed. Perhaps I had already found and resolved the issue before the bug was reported. But as it stands right now, it seems the channel import features are solid.